<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Calculator</title>
    <style>
        form {
            width: 300px;
            padding: 50px 0 50px 80px;
            margin: auto;
            background-color: darkcyan;
        }
    </style>
</head>
<body>

<form action="#">
    <label for="number1">Enter Number One:</label><br>
    <input type="text" id="number1" value=""><br>
    <label for="number2">Enter Number Two:</label><br>
    <input type="text" id="number2" value=""><br>
    <button type="button" onclick="AdditionBy()">Addition</button>
    <button type="button" onclick="SubtractionBy()">Substraction</button>
</form>
<div id="result" style="background-color: darkblue">

</div>
<script>
    function AdditionBy(){
    //alert("I am addition")
        num1=document.getElementById("number1").value;
        num2=document.getElementById("number2").value;
        document.getElementById("result").innerHTML= Number(num1)+ Number(num2);
    }

    function SubtractionBy(){
        //alert("Subtract")
        num1=document.getElementById("number1").value;
        num2=document.getElementById("number2").value;
        document.getElementById("result").innerHTML= Number(num1)- Number(num2);
    }

</script>
</body>
</html>